RGroupDecomp.h File Reference
`#include <RDGeneral/export.h>`
`#include "../RDKitBase.h"`
`#include <GraphMol/Substruct/SubstructMatch.h>`

Go to the source code of this file.

## Classes

struct | RDKit::RGroupDecompositionParameters
class | RDKit::RGroupDecomposition

## Namespaces

| RDKit
| Std stuff.

## Typedefs

typedef std::map< std::string, boost::shared_ptr< ROMol > > | RDKit::RGroupRow
typedef std::vector< boost::shared_ptr< ROMol > > | RDKit::RGroupColumn
typedef std::vector< RGroupRow > | RDKit::RGroupRows
typedef std::map< std::string, RGroupColumn > | RDKit::RGroupColumns

## Enumerations

enum | RDKit::RGroupLabels { RDKit::IsotopeLabels = 0x01, RDKit::AtomMapLabels = 0x02, RDKit::AtomIndexLabels = 0x04, RDKit::RelabelDuplicateLabels = 0x08, RDKit::MDLRGroupLabels = 0x10, RDKit::DummyAtomLabels = 0x20, RDKit::AutoDetect = 0xFF }
enum | RDKit::RGroupMatching { RDKit::Greedy = 0x01, RDKit::GreedyChunks = 0x02, RDKit::Exhaustive = 0x04 }
enum | RDKit::RGroupLabelling { RDKit::AtomMap = 0x01, RDKit::Isotope = 0x02, RDKit::MDLRGroup = 0x04 }
enum | RDKit::RGroupCoreAlignment { RDKit::None = 0x0, RDKit::MCS = 0x01 }

## Functions

RDKIT_RGROUPDECOMPOSITION_EXPORT unsigned int | RDKit::RGroupDecompose (const std::vector< ROMOL_SPTR > &cores, const std::vector< ROMOL_SPTR > &mols, RGroupRows &rows, std::vector< unsigned int > *unmatched=nullptr, const RGroupDecompositionParameters &options=RGroupDecompositionParameters())
RDKIT_RGROUPDECOMPOSITION_EXPORT unsigned int | RDKit::RGroupDecompose (const std::vector< ROMOL_SPTR > &cores, const std::vector< ROMOL_SPTR > &mols, RGroupColumns &columns, std::vector< unsigned int > *unmatched=nullptr, const RGroupDecompositionParameters &options=RGroupDecompositionParameters())